Update a DNS record for a domain
PUT/v1/dns/domains/{dns_domain_id}/records/{record_id}
A PUT request to the /v1/dns/domains/{dns_domain_id}/records/{record_id} endpoint will update a DNS record specified in the path parameters. SOA and PTR records can't be updated through this endpoint. See DNS Domain for details.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
dns_domain_id | stringA unique identifier of a DNS domain. |
record_id | stringA unique identifier of a DNS record. |
Request Body
| Field | Details |
|---|---|
name? | stringA name of a DNS record. |
data? | stringA value of a record. Its format depends on the record type. |
ttl? | integerTTL (time to live) defines how long a record will be cached on the DNS servers. |
priority? | integerThe priority determines the order records are used in. It applies only to |
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/dns/domains/BDbD1Bdl/records/5xe7jd7r" \ -H "Content-Type: application/json" \ -d '{ "name": "updated-1050a364.example-746.com", "ttl": 7200 }'{ "id": "5xe7jd7r", "type": "TXT", "name": "updated-1050a364.example-746.com", "domain_id": "BDbD1Bdl", "data": "example-751.com", "priority": 24, "ttl": 7200, "updated_at": "2025-12-31T00:00:00Z", "created_at": "2025-12-31T00:00:00Z"}